Theory Paper supplementary material
====================================

# Reproducing the manuscripts results

It is possible to reproduce all the results presented in the manuscript. This section provides information on how this is possible.

All the source code and online documentation of AvaFrame are available (open source) on github at https://github.com/avaframe/AvaFrame.
The "theoryPaperCode" branch (https://github.com/avaframe/AvaFrame/tree/theoryPaperCode) contains all the development presented in the manuscript and enables to reproduce the results. Note that if the manuscript was to be published, the "theoryPaperCode" branch will be merged to the "master" branch of the AvaFrame github repository. Instructions are provided for Linux only but expert users should be able to adapt it to Windows machines.

## Requirements
You first need to install AvaFrame on your computer as an advance user. All information on how to do this is available in the online documentation (https://docs.avaframe.org/en/latest/advancedUsage.html#advanced-script-installation).

You then need to switch branch (switch from the "master" branche to the "theoryPaperCode" branch). This is done with::

    git checkout theoryPaperCode

You will also need to recompile the cython code::

    python setup.py build_ext --inplace

Your machine should now be ready to reproduce the manuscript results and figures.

## Reproducing the similarity solution test results

Open the `runSimilaritySol.py` scrip located in (`avaframe/runScripts/runSimilaritySol.py`) and fill in the required information line 34:

    fileOverride = 'ana1Tests/figConvergence_simiSolTestCfg.ini'

Then run this python script:

    python runScripts/runSimilaritySol.py

Results are then saved in the `avaframe/data/avaSimilaritySol/Outputs/ana1Tests` folder.
It is possible to go further and change the configuration parameter in `ana1Tests/figConvergence_simiSolTestCfg.ini` to generate plots based on more data.

Here is the result of the similarity solution test with the standard parameters from the com1DFA module:

![simiSol](31ebc07131_SimiSolTest.png)



## Reproducing the dam break test results

Open the `runDamBreak.py` scrip located in (`avaframe/runScripts/runDamBreak.py`) and fill in the required information line 25:

    fileOverride = 'ana1Tests/figConvergence_damBreakTestCfg.ini'

Then run this python script:

    python runScripts/runDamBreak.py

Results are then saved in the `avaframe/data/avaDamBreak/Outputs/ana1Tests` folder.
It is possible to go further and change the configuration parameter in `ana1Tests/figConvergence_damBreakTestCfg.ini` to generate plots based on more data.

Here is the result of the damBreak test with the standard parameters from the com1DFA module:

![damBreak](86b243f4c1_DamBreakTest.png)


## Reproducing the energy line test results

Open the `runEnergyLineTest.py` scrip located in (`avaframe/runScripts/runEnergyLineTest.py`) and fill in the required information line 29, for example (other options available and detailed in the runscript):

    fileOverride = 'ana1Tests/figAnalytic_energyLineTestCfg.ini'

Then chose the correct avalanche directory in the `avaframe/local_avaframeCfg.ini` line 7:

    avalancheDir = data/avaSlide

Then run this python script:

    python runScripts/runEnergyLineTest.py

Results are then saved in the `avaframe/data/avaSlide/Outputs/ana1Tests/energyLineTest` folder.
It is possible to go further and try this test on other avalanches. For this simply change the "avalancheDir" in `avaframe/local_avaframeCfg.ini`


## Reproducing the rotation test results

Open the `runRotationTest.py` scrip located in (`avaframe/runScripts/runRotationTest.py`) and fill in the required information line 29, for example (other options available and detailed in the runscript):

    fileOverride = 'ana1Tests/figPressure_rotationTestCfg.ini'

Then chose the correct avalanche directory in the `avaframe/local_avaframeCfg.ini` line 7 ('avaTripleParabola' or 'avaTripleBowl'), for example:

    avalancheDir = data/avaTripleBowl

Then run this python script:

    python runScripts/runRotationTest.py

Results are then saved in the `avaframe/data/avaTripleBowl/Outputs/ana1Tests/rotationTest` folder.


The results for the rotation test are available in the sub-folders of the supplementary material.
